对不住,有问题了才想到娘家人

为当前最终发行版之前的所有版本提供支持
lyc10000h
帖子: 13
注册时间: 2007-04-02 16:17
送出感谢: 0
接收感谢: 0

对不住,有问题了才想到娘家人

#1

帖子 lyc10000h » 2007-04-02 16:39

今天发现cn99不能用了,就搜了下ubuntu有关的帖子,看到可以升级到feisty-beta了,就忍不住冲动了一把(忘记了冲动是魔鬼这个名言了:~555)。
由于实在冲动,忘记了自己是6.04版本的,直接把soucelist从dapper给改到了feisty,然后用了apt-get -y dist-upgrade升级;
下载完成后自然安装不了,报了错误,说source version不对,这时我才发现版本隔了一代;
备份了/var/cache/apt/archives目录并且修改了sourcelist到edgy后,继续使用apt-get dist-upgrade升级,接着,恶梦开始了:
先是升级报错,按照提示使用-f,完成了升级
重启,进入不了X
不管继续升级到feisty,还是用的dist-upgrade 和 -f参数,这次完蛋了,kernel panic :twisted:

现在我的ubuntu躺在硬盘里面,启动不了了,特来这里诉诉苦,还希望有dx可以帮把手;
实在不行就=feisty release后在重新安装,那样麻烦多了。
自己有个想法,不知把kernel image文件放到其他地方,在grub命令行指定路径能否将OS起来,还没有去做,=有时间了试试。

我的系统:
DELL D600
CPU 1.4G
ATI 9600
256MX2
分给ubuntu的硬盘5G
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 juanzhewudi » 2007-04-02 16:50

有livecd的话试试把硬盘挂载,在chroot到/目录里面执行升级看看。。

不行的话就重装吧,相信你/home是独立分区的,资料不损失才是硬道理
lyc10000h
帖子: 13
注册时间: 2007-04-02 16:17
送出感谢: 0
接收感谢: 0

#3

帖子 lyc10000h » 2007-04-02 17:04

谢谢回复,我试试。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2007-04-02 17:18

ubuntu不允许从dapper升级到feisty.

这样跨版本多次升级很危险.

从edgy升级到feisty好像还不错,问题不大.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
coffer
帖子: 673
注册时间: 2006-12-22 21:05
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 coffer » 2007-04-02 18:07

实在不行就直接使用硬盘安装的方式安装feisty 吧,虽然现在是测试版,但我觉得测试版也非常的稳定,同时还能看到feisty每天的变化,每次升级后的感动,真是难以言表啊。
xfzhu2008
帖子: 63
注册时间: 2006-06-25 16:31
送出感谢: 0
接收感谢: 0

#6

帖子 xfzhu2008 » 2007-04-02 19:21

下一个feisty的iso
什么地方有问题就dpkg -i
yangtsecn
帖子: 70
注册时间: 2005-11-14 21:44
送出感谢: 0
接收感谢: 0

#7

帖子 yangtsecn » 2007-04-03 9:16

karron 写了:ubuntu不允许从dapper升级到feisty.

这样跨版本多次升级很危险.

从edgy升级到feisty好像还不错,问题不大.


我从Dapper升级到feisty,没有任何问题
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 karron » 2007-04-03 9:27

yangtsecn 写了:
我从Dapper升级到feisty,没有任何问题


请看看官方的说法. 也许你没有问题, 但是并不表示这样就可行.

https://help.ubuntu.com/community/FeistyUpgrades


Before you start

*

You can only upgrade to Feisty from Ubuntu 6.10 ("Edgy Eft") (see UpgradeNotes)
*

Be sure that you have all updates applied to Ubuntu 6.10 before you upgrade
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
yangtsecn
帖子: 70
注册时间: 2005-11-14 21:44
送出感谢: 0
接收感谢: 0

#9

帖子 yangtsecn » 2007-04-03 10:35

可能我运气好吧
lyc10000h
帖子: 13
注册时间: 2007-04-02 16:17
送出感谢: 0
接收感谢: 0

#10

帖子 lyc10000h » 2007-04-03 12:41

唉,使用liveCD并重新upgrade还是不行,不过安装了新的kernel后可以启动了(老的版本2.6.15,新的2.6.20),但是X还是启动不了,报没有kbd和mouse和xx的驱动,也不知道怎么装,算了,等feisty正式release后安装个。

ls的兄弟,你从dapper升级到feisty是用的什么命令,难道没有报版本不对的错误吗?
moxien
帖子: 145
注册时间: 2006-09-20 14:36
送出感谢: 0
接收感谢: 0

#11

帖子 moxien » 2007-04-03 13:23

我感覺用Cn99的源不是很好,好像文件不全
我用下面的
#(福建省福州市 电信)
deb http://ubuntu.cnsite.org/ubuntu/ feisty main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-updates main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-backports main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://ubuntu.cnsite.org/ubuntu/ feisty-security main restricted universe multiverse
deb http://ubuntu.cnsite.org/ubuntu-cn/ feisty main multiverse restricted universe
後來發現這個有時也會有問題,後來兩個都加上去,雖然查找時慢些,但有保証。
lyc10000h
帖子: 13
注册时间: 2007-04-02 16:17
送出感谢: 0
接收感谢: 0

#12

帖子 lyc10000h » 2007-04-03 15:14

刚刚又搞了下,现在好了,虽没有普遍意义,但还是来说下步骤:
1. 使用liveCD启动ubuntu,chroot到硬盘
2.使用先删除再安装的方法更新内核到2.6.20,感谢 juanzhewudi 提供方法
3. 重启, 进入recovery mode
4. startx,根据错误提示安装相应的包,感谢 xfzhu2008
这步判断要安装的包是个难点,我也是蒙的,以前从来没有单独安装过:
xserver-xorg-input-synaptics
xserver-xorg-input-kbd
xserver-xorg-input-mouse
5. 再startx,可以进入GNOME环境了

目前存在的问题:
1.启动ubuntu的进度条界面没有了,只看到tty8下的字符终端输出
2.tty1到6都没有了[/url]
nobug
帖子: 46
注册时间: 2006-03-31 17:48
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 nobug » 2007-04-03 21:22

yangtsecn 写了:我从Dapper升级到feisty,没有任何问题


我也是,没有问题,只要使用apt-get update, apt-get dist-upgrade两个命令即可,升级不完全可以反复使用,别的命令用不着。发现cn99和官方的源都不完整,台湾csie的源最好。
lyc10000h
帖子: 13
注册时间: 2007-04-02 16:17
送出感谢: 0
接收感谢: 0

#14

帖子 lyc10000h » 2007-04-04 16:45

后面两个问题也解决了,原来是安装不全的原因,使用了如下命令解决:

1. sudo aptitude update&&sudo aptitude install ubuntu-desktop
2.修改/etc/event.d/ttyX,这个应该是个bug了

代码: 全选

respawn
/sbin/getty 38400 tty1exec /sbin/getty 38400 tty1

代码: 全选

respawn
exec /sbin/getty 38400 tty1

参考了如下内容:

http://ubuntuforums.org/showthread.php?t=389798
头像
tigerdoo
帖子: 327
注册时间: 2006-11-17 23:02
送出感谢: 0
接收感谢: 0

#15

帖子 tigerdoo » 2007-04-08 3:21

个人感觉很多人陷入了不停升级的怪圈。其实每天update的东西对你的应用真的有影响吗?
回复

回到 “老旧版本支持”